﻿using ProjectGarage.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection.Metadata.Ecma335;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class Fuel
{
    public int Id { get; set; }

    public string Name { get; set; } = string.Empty;

    public FuelType Type { get; set; }

    public int Price { get; set; }

    public static Fuel CreateFuel(int id, string name, FuelType type, int price)
    {
        return new Fuel
        {
            Id = id,
            Name = name,
            Type = type,
            Price = price
        };
    }
}
