﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class Route
{
    public int Id { get; set; }

    public string Name { get; set; } = string.Empty;

    public string StartPoint { get; set; } = string.Empty;

    public string FinalPoint { get; set; } = string.Empty;

    public int Length { get; set; }

    public static Route CreateRoute(int id, string startp, string finalp, int len)
    {
        return new Route() { 
            Id = id,
            Name = startp + " - " + finalp,
            StartPoint = startp,
            FinalPoint = finalp,
            Length = len
        };
    }
}
