﻿using ProjectGarage.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Repositories;

public interface IFuelReplishmentRepository
{
    IEnumerable<FuelReplenishment> ReadFuelReplenishment(DateTime? dateForm = null, DateTime? dateTo = null, int? fuelId = null,
        int? driverId = null, int? routeId = null);
    void CreateFuelReplenishment(FuelReplenishment fuelReplenishment);

    void DeleteFuelReplenishment(int id);
}
