﻿using ProjectGarage.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Repositories;

public interface IRouteRepository
{
    IEnumerable<Route> ReadRoute(string? startPoint = null,string? finalPoint = null);

    void ReadRouteByID(int id);

    void CreateRoute(Route route);

    void UpdateRoute(Route route);

    void DeleteRoute(int id);
}
