﻿using ProjectGarage.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Repositories;

public interface ITransportationRepository
{
    IEnumerable<Transportation> ReadTransportation(DateTime? dateForm = null, DateTime? dateTo = null, int? fuelId = null,
        int? driverId = null, int? routeId = null);
    void CreateTransportation(Transportation transportation);
}
