﻿using ProjectGarage.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Repositories;

public interface ITruckRepository
{
    IEnumerable<Truck> ReadTrucks();

    Truck ReadTruckByID(int id);

    void CreateTruck(Truck truck);

    void UpdateTruck(Truck truck);

    void DeleteTruck(int id);
}
