﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class Transportation
{
    public int Id { get; set; }

    public int FuelId { get; set; }

    public int RouteId { get; set; }

    public int DriverId { get; set; }

    public int Amount {  get; set; }

    public DateTime TransportationDate { get; set; }

    public Transportation CreateTransportation(int id, int fuel_id, int route_id, int driver_id, int amount)
    {
        return new Transportation
        {
            Id = id,
            FuelId = fuel_id,
            RouteId = route_id,
            DriverId = driver_id,
            Amount = amount,
            TransportationDate = DateTime.Now
        };
    }
}
