﻿using ProjectGarage.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Repositories;

public interface IDriverRepository
{
    IEnumerable<Driver> ReadDrivers();

    Driver ReadDriverByID(int id);

    void CreateDriver(Driver driver);

    void UpdateDriver(Driver driver);

    void DeleteDriver(int id);
}
