﻿using ProjectGarage.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Repositories;

public interface IFuelRepository
{
    IEnumerable<Fuel> ReadFuels();

    Fuel ReadFuelByID(int id);

    void CreateFuel(Fuel fuel);

    void UpdateFuel(Fuel fuel);

    void DeleteFuel(int id);
}
